/*
 * FXCellPtr.c
 *
 * FX dummy module Cell Pointer.
 *
 * Copyright 1999, Massachusetts Institute of Technology.
 *
 */

#include <stdio.h>
#include <stdlib.h>

#include "FX_types.h"


#ifdef WIN32

#define PREFIX __stdcall

#else

#define PREFIX

#ifdef UNDERSCORE

#define FXCELLPTR fxcellptr_

#else

#define FXCELLPTR fxcellptr

#endif
#endif


void PREFIX
FXCELLPTR (FXtet **tets, FXpyra **pyras, FXprism **prisms, FXhexa **hexas,
           FXhalo *halo)
{
  printf(" FX Error: Inside DUMMY for FXCellPtr!\n");
  exit(1);
}
