C
C     Node based quantities
C
      POINTER (pINDSMO, INDSMO), (pKNSMO, KNSMO)
      INTEGER           INDSMO(2,1),      KNSMO(1)
      POINTER (pWGHSMO, WGHSMO), (pVn, Vn), (pXYZ, XYZ)
      REAL              WGHSMO(1),     Vn(1),      XYZ(3,1)
      POINTER (pQ, Q), (pDQ, DQ), (pVEL, VEL), (pVELO, VELO)
      REAL         Q(1),     DQ(1),      VEL(3,1),     VELO(3,1)
      POINTER (pDTAUDX, DTAUDX), (pDTAUDY, DTAUDY), (pDTAUDZ, DTAUDZ)
      REAL              DTAUDX(1),         DTAUDY(1),         DTAUDZ(1)
      POINTER (pDTXO, DTAUDXO), (pDTYO, DTAUDYO), (pDTZO, DTAUDZO)
      REAL            DTAUDXO(1),       DTAUDYO(1),       DTAUDZO(1)
      POINTER (pMU, MU), (pRHO, RHO), (pMUO, MUO), (pRHOO, RHOO)
      REAL          MU(1),      RHO(1),      MUO(1),       RHOO(1)
      POINTER (pD2, D2), (pF, F), (pG, G), (pH, H), (pSWITCH, SWITCH)
      REAL          D2(1),    F(1),    G(1),    H(1), SWITCH(1)
      INTEGER nNODE, nNODEI
      COMMON /RTNodeCom/ pINDSMO, pKNSMO, pWGHSMO,
     &                   pVn, pXYZ, pQ, pDQ, pVEL, pVELO,
     &                   pDTAUDX, pDTAUDY, pDTAUDZ, pDTXO, pDTYO, pDTZO,
     &                   pMU, pRHO, pMUO, pRHOO, pD2, pF, pG, pH,
     &                   pSWITCH, nNODE, nNODEI
C
C     Cell based quantities
C
      INTEGER nCELL, nCELLI
      POINTER (pFM, FM), (pVC, VC)
      REAL          FM(3,6,1), VC(1)
      COMMON /RTCellCom/ pFM, pVC, nCELL, nCELLI
C
C     miscellaneous
C
      INTEGER iopt, mode, cmask, iter
      REAL    DT, timeNow, timePrev, NU, SIG0, SIG1, SIG2, SIG4, RTLIM
      COMMON /RTMiscCom/ iopt, mode, cmask, iter, 
     &                   DT, timeNow, timePrev, NU,
     &                   SIG0, SIG1, SIG2, SIG4, RTLIM
C
