#
default: ../bin/img2X ../bin/img2ps ../bin/img2eps ../bin/img2tiff ../bin/lin2ps ../bin/lin2eps ../bin/tab2ps

../bin/img2X:	img2X8.o xsubs.o ppsubs.o
	f77 -o ../bin/img2X img2X8.o xsubs.o ppsubs.o -lX11
img2X8.o:	img2X8.f
	f77 -c -O img2X8.f
xsubs.o:	xsubs.c
	cc -c -O xsubs.c -DUNDERSCORE -DPOINTERLONG

../bin/img2ps:	img2ps8.o ppsubs.o
	f77 -o ../bin/img2ps img2ps8.o ppsubs.o
img2ps8.o:	img2ps8.f
	f77 -c -O2 img2ps8.f

../bin/img2eps:	img2eps8.o ppsubs.o
	f77 -o ../bin/img2eps img2eps8.o ppsubs.o
img2eps8.o:	img2eps8.f
	f77 -c -O2 img2eps8.f

../bin/img2tiff:	img2tiff8.o ppsubs.o
	f77 -o ../bin/img2tiff img2tiff8.o ppsubs.o
img2tiff8.o:	img2tiff8.f
	f77 -c -O2 img2tiff8.f

../bin/lin2ps:	lin2ps8.o ppsubs.o
	f77 -o ../bin/lin2ps lin2ps8.o ppsubs.o
lin2ps8.o:	lin2ps8.f
	f77 -c -O2 lin2ps8.f -convert big_endian

../bin/lin2eps:	lin2eps8.o ppsubs.o
	f77 -o ../bin/lin2eps lin2eps8.o ppsubs.o
lin2eps8.o:	lin2eps8.f
	f77 -c -O2 lin2eps8.f -convert big_endian

../bin/tab2ps:	tab2ps.o
	f77 -o ../bin/tab2ps tab2ps.o
tab2ps.o:	tab2ps.f
	f77 -c -O2 tab2ps.f

ppsubs.o:	ppsubs.c
	cc -c -O ppsubs.c -DUNDERSCORE -DPOINTERLONG
