#
default: ../bin/img2X ../bin/img2ps ../bin/img2eps ../bin/img2tiff ../bin/lin2ps ../bin/lin2eps ../bin/tab2ps

../bin/img2X:	img2X8.o xsubs.o ppsubs.o
	f77 -o ../bin/img2X img2X8.o xsubs.o ppsubs.o -lX11 -64
img2X8.o:	img2X8.f
	f77 -c -O3 img2X8.f -64
xsubs.o:	xsubs.c
	cc -c -O3 xsubs.c -DUNDERSCORE -DPOINTERLONG -64

../bin/img2ps:	img2ps8.o ppsubs.o
	f77 -o ../bin/img2ps img2ps8.o ppsubs.o -64
img2ps8.o:	img2ps8.f
	f77 -c -O3 img2ps8.f -64

../bin/img2eps:	img2eps8.o ppsubs.o
	f77 -o ../bin/img2eps img2eps8.o ppsubs.o -64
img2eps8.o:	img2eps8.f
	f77 -c -O3 img2eps8.f -64

../bin/img2tiff:	img2tiff8.o ppsubs.o
	f77 -o ../bin/img2tiff img2tiff8.o ppsubs.o -64
img2tiff8.o:	img2tiff8.f
	f77 -c -O3 img2tiff8.f -64

../bin/lin2ps:	lin2ps8.o ppsubs.o
	f77 -o ../bin/lin2ps lin2ps8.o ppsubs.o -64
lin2ps8.o:	lin2ps8.f
	f77 -c -O3 -static lin2ps8.f -64

../bin/lin2eps:	lin2eps8.o ppsubs.o
	f77 -o ../bin/lin2eps lin2eps8.o ppsubs.o -64
lin2eps8.o:	lin2eps8.f
	f77 -c -O3 -static lin2eps8.f -64

../bin/tab2ps:	tab2ps.o
	f77 -o ../bin/tab2ps tab2ps.o -64
tab2ps.o:	tab2ps.f
	f77 -c -O3 tab2ps.f -64

ppsubs.o:	ppsubs.c
	cc -c -O3 ppsubs.c -DUNDERSCORE -DPOINTERLONG -64
