#include "parameters.h"
#define FLOW pfw(itime)%
!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
MODULE calc_func
  IMPLICIT NONE

CONTAINS
!#######################################################################
  SUBROUTINE ScalFunction(v, key, mvmax)
!#######################################################################
    USE common_area, ONLY: pfw, itime, nfunc
    USE mod_events, ONLY: event_get_secondary

    INTEGER,INTENT(IN) :: key, mvmax
    REAL,INTENT(INOUT) :: v(*)

    INTEGER :: k, key2

    key2 = event_get_secondary(key)

    IF(key2.GE.1 .AND. key2.LE.nfunc)THEN
      IF(.NOT. ASSOCIATED(FLOW funk))RETURN
      DO k = 1, mvmax
        v(k) = FLOW funk(key2,k)
      ENDDO
    ENDIF

  END SUBROUTINE ScalFunction
END MODULE calc_func
!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
