SUBROUTINE keywordsub(string,keyword,outint)
  USE general, ONLY: MakeUpper
  IMPLICIT NONE

  CHARACTER(LEN=20),INTENT(IN) :: string, keyword
  INTEGER,INTENT(INOUT) :: outint

  INTEGER :: i, j, jrel,  strlen, keylen, ik
  INTEGER :: keyint

  CHARACTER(LEN=20) :: stringtemp, keywordtemp

  stringtemp=string
  keywordtemp=keyword
  stringtemp=TRIM(ADJUSTL(stringtemp))
  keywordtemp=TRIM(ADJUSTL(keywordtemp))
  strlen=LEN_TRIM(stringtemp)
  keylen=LEN_TRIM(keywordtemp)
  CALL MakeUpper(stringtemp,strlen)
  CALL MakeUpper(keywordtemp,keylen)
  keyint=0
  DO i=1,strlen
    IF(stringtemp(i:i).NE.keywordtemp(1:1)) then
      keyint=keyint+1
    ELSE
      ik=keyint+keylen
      keyint=keyint+1
      DO j=keyint,ik
        jrel=j-i+1
        IF(stringtemp(j:j).NE.keywordtemp(jrel:jrel)) then
          goto 10
        ENDIF
      ENDDO
      exit
    ENDIF
    
10  CONTINUE
  ENDDO    

  PRINT*, ' keyint, strlen:', keyint, strlen
  IF(keyint.LT.strlen) then
    outint=keyint
!    PRINT*, 'keyword present at:', outint
  ELSE
    outint=-1
!    PRINT*, 'keyword not present:'
  ENDIF

  RETURN

7000 CONTINUE
     WRITE(*,*) '  ERROR reading from script file '
9000 CONTINUE
     WRITE(*,*) '  Closing image scripting file.'
     CLOSE(30)

END SUBROUTINE keywordsub
