!-----------------------------------------------------------------------
! Collect the total number of bubbles
        ctr2 = 0
        DO i = 0, numcs-1
          istat = pV_GetSub(ex,2,i,ppntr2,slen2,ecid)
          ctr2 = ctr2 + slen2
        ENDDO
        PRINT*,'     Zone_Counts=', ctr2

!-----------------------------------------------------------------------
! Write the data header for particles
        WRITE(POVUNIT) -19, ctr2, typ, nam, geivec(1)
        DO i = 0, numcs-1
          istat = pV_GetSub(ex,2,i,ppntr2,slen2,ecid)
          istat = pV_GetSub(ex,5,i,ppntr5,slen5,ecid)
          IF(slen2.NE.0)THEN
            ALLOCATE(scals(slen2))
            IF(slen5.EQ.slen2)THEN
              DO j=1,slen2
                scals(j)=pptr5(j)
              ENDDO
            ELSE
              scals=0.0
            ENDIF
            DO j = 1, slen2
              WRITE(POVUNIT) (pptr2((j-1)*3+n), n=1,3), scals(j)
            ENDDO
            DEALLOCATE(scals)
          ENDIF
        ENDDO

