#include "parameters.h"
!#######################################################################
SUBROUTINE pVBlank(iblank, tbcon)
!#######################################################################
  USE common_area, ONLY: pgr, igrid
  IMPLICIT NONE

  INTEGER, INTENT(INOUT) :: iblank(*)
  INTEGER, INTENT(INOUT) :: tbcon(*)

  INTEGER :: i

  DEBUG1(' \ pVBlank')
! The loop variable is incorrect for cases with both structured and
! unstructured blocks.  The goal was to treat them all as unstructured
! (which means this routine wouldn't be called) but there may arise
! a situation which wouldn't like this...

  IF(.NOT. ASSOCIATED(pgr(igrid)%iblank))THEN
    PRINT*,' I dont think the pgr iblank array exists...'
  ENDIF
  DO i = 1, pgr(igrid)%tpts
    iblank(i) = pgr(igrid)%iblank(i)
    tbcon(i) = 0 ! This client
  ENDDO

  DEBUG1(' / pVBlank')

END SUBROUTINE pVBlank
