#
default: ../bin/img2X ../bin/img2ps ../bin/img2eps ../bin/img2tiff ../bin/lin2ps ../bin/lin2eps ../bin/tab2ps

../bin/img2X:	img2X.o xsubs.o ppsubs.o
	f77 -o ../bin/img2X img2X.o xsubs.o ppsubs.o -lX11 -n32
img2X.o:	img2X.f
	f77 -c -O2 img2X.f -n32
xsubs.o:	xsubs.c
	cc -c -O2 xsubs.c -DUNDERSCORE -n32

../bin/img2tiff:	img2tiff.o ppsubs.o
	f77 -o ../bin/img2tiff img2tiff.o ppsubs.o -n32
img2tiff.o:	img2tiff.f
	f77 -c -O2 img2tiff.f -n32

../bin/img2ps:	img2ps.o ppsubs.o
	f77 -o ../bin/img2ps img2ps.o ppsubs.o -n32
img2ps.o:	img2ps.f
	f77 -c -O2 img2ps.f -n32

../bin/img2eps:	img2eps.o ppsubs.o
	f77 -o ../bin/img2eps img2eps.o ppsubs.o -n32
img2eps.o:	img2eps.f
	f77 -c -O2 img2eps.f -n32

../bin/lin2ps:	lin2ps.o ppsubs.o
	f77 -o ../bin/lin2ps lin2ps.o ppsubs.o -n32
lin2ps.o:	lin2ps.f
	f77 -c -O2 -static lin2ps.f -n32

../bin/lin2eps:	lin2eps.o ppsubs.o
	f77 -o ../bin/lin2eps lin2eps.o ppsubs.o -n32
lin2eps.o:	lin2eps.f
	f77 -c -O2 -static lin2eps.f -n32

../bin/tab2ps:	tab2ps.o
	f77 -o ../bin/tab2ps tab2ps.o -n32
tab2ps.o:	tab2ps.f
	f77 -c -O2 tab2ps.f -n32

ppsubs.o:	ppsubs.c
	cc -c -O2 ppsubs.c -DUNDERSCORE -n32
