!#######################################################################
SUBROUTINE ExtraDemoDat(iopt)
!#######################################################################
! IOPT
!------
! 0   Write extra information to extrademo.dat
! 1   Read extra information from extrademo.dat if it exists
  USE keydata

  IMPLICIT NONE

  INTEGER, INTENT(IN) :: iopt
  LOGICAL :: exists

  NAMELIST /DEMODATA/ dt, timedisp, timesav

  SELECT CASE(iopt)
    CASE(0)
      OPEN(UNIT=43,FILE='extrademo.dat',FORM='formatted')
      WRITE(43,NML=DEMODATA)
      CLOSE(43)

    CASE(1)
      INQUIRE(FILE='extrademo.dat',EXIST=exists)
      IF(exists)THEN
        OPEN(UNIT=43,FILE='extrademo.dat',FORM='formatted')
        READ(43,NML=DEMODATA)
        CLOSE(43)
      ENDIF

  END SELECT

  RETURN
END SUBROUTINE ExtraDemoDat
