SUBROUTINE parsesub(filnm)
  IMPLICIT NONE
  
  CHARACTER(LEN=80),INTENT(IN) :: filnm

  INTEGER i, iblck, ibld, isurf, linenumber
  REAL :: ribld
  CHARACTER(LEN=80) :: strin, bladenum, blocknum, surfnum
  CHARACTER(LEN=20), ALLOCATABLE, DIMENSION(:) :: surfnames

  WRITE(*,*) 'Variables Defined!'

  OPEN(unit=20,file=filnm,form='formatted')


!Find the number of blades
  linenumber=1
10   READ(20,"(A80)",ERR=7000,END=9000) strin
  linenumber=linenumber+1
  WRITE(*,*) 'first read section'

  strin=TRIM(ADJUSTL(strin))

  IF(strin(1:1).EQ.'#')THEN
    goto 10
  ENDIF

  WRITE(*,*) 'Begin Loop 1'

  i=1
  DO WHILE(strin(i:i).NE.' ')
    bladenum(i:i)=strin(i:i)
    i=i+1
  ENDDO

  WRITE(*,*) 'End Loop 1'
  PRINT*, 'bladenum is:',bladenum,':'
  PRINT*, 'file line number is:',linenumber

  READ(bladenum,*) ribld
  ibld = FLOOR(ribld)
  WRITE(*,*) 'IBLD=',ibld,' RBLD=',ribld


!Find the number of blocks
20   READ(20,"(A80)",ERR=7000,END=9000) strin
  linenumber=linenumber+1
  WRITE(*,*) 'second read section'

  strin=ADJUSTL(strin)

  IF(strin(1:1).EQ.'#'.OR.strin(1:1).EQ.'')THEN
    goto 20
  ENDIF
 
  WRITE(*,*) 'Begin Loop 2'

  i=1
  DO WHILE(strin(i:i).NE.' ')
    blocknum(i:i)=strin(i:i)
    i=i+1
  ENDDO
  
  WRITE(*,*) 'End Loop 2'
  PRINT*, 'blocknum is:',blocknum
  PRINT*, 'file line number is:',linenumber

!  READ(blocknum,*) iblck
!  WRITE(*,"(I6)") iblck

  DO i=1,iblck+1
    READ(20,"(A80)") strin
    linenumber=linenumber+1
  ENDDO


!Find the number of surfaces and surface names
30   READ(20,"(A80)",ERR=7000,END=9000) strin
  linenumber=linenumber+1
  WRITE(*,*) 'third read section'

  strin=ADJUSTL(strin)

  IF(strin(1:1).EQ.'#')THEN
    goto 30
  ENDIF

  WRITE(*,*) 'Begin Loop 3'

  i=1
  DO WHILE(strin(i:i).NE.' ')
    surfnum(i:i)=strin(i:i)
    i=i+1
  ENDDO

  WRITE(*,*) 'End Loop 3'
  PRINT*, 'surfnum is:',surfnum
  PRINT*, 'file line number is:',linenumber  

!  READ(surfnum,*) isurf
!  WRITE(*,"(I6)") isurf
 
  DO i=1,isurf
    READ(20,"(A80)",ERR=7000,END=9000) strin
    surfnames(i)=strin
  ENDDO

  PRINT*, 'surfnames are:',surfnames


  RETURN



7000 CONTINUE
     WRITE(*,*) '  ERROR reading from script file '
9000 CONTINUE
     WRITE(*,*) '  Closing image scripting file.'
     CLOSE(20)

END SUBROUTINE parsesub


