global bindir

package require Tk
catch {source options.tcl}

########################################################################
proc InitVars {} {
   global bindir
   global ready
   global key1_1
   global key2_1
   global key2_2
   global key2_3
   global key2_v
   global key2_t
   global key2_fft
   global key2_mode
   global keycut
   global iwini
   global itype
   global ie
   global je
   global istate

   set bindir "/home/share/PV3/src/gui"
   set ready 0
   set key1_1 -1
   set key2_1 -1

   set iwini -1
   set itype -1
   set ie 1
   set je 1
   set istate -1

   puts stdout "Initialized variables..."
}

########################################################################
proc SourceFile {fnam} {
   global bindir
   if [catch {source [file join $bindir $fnam]} result] {
      puts stdout "Result of $fnam source: $result"
   }
}

########################################################################
proc LoadFiles {} {
   SourceFile functions.tcl
   SourceFile GUI.tcl
}

InitVars
