#include <stdlib.h>
#include <stdio.h>
#include <pthread.h>
#include <X11/Intrinsic.h>
#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <Xm/PushB.h>
#include <Xm/BulletinB.h>
#include <Xm/Separator.h>

void handle_button(Widget w,
   int client_data,
   XmAnyCallbackStruct *call_data)
{
   printf("ouch %d\n",client_data);
}

void *gui_initialization(void *targ)
{
  int argc;
  char *argv[1];
  argv[0]="pTV3";

	  Widget toplevel, button, bb, label, sep;
	  Arg al[10];
	  int ac;

	  toplevel=XtInitialize(argv[0],"",NULL,0,&argc,argv);

	  /* resize the window */
	  ac=0;
	  XtSetArg(al[ac],XmNheight,200); ac++;
	  XtSetArg(al[ac],XmNwidth,200); ac++;
	  XtSetValues(toplevel,al,ac);

	  /* create a bulletin board to hold widgets */
	  ac=0;
	  bb=XtCreateManagedWidget("bb",xmBulletinBoardWidgetClass,
		toplevel,al,ac);

	  /* create a push button */
	  ac=0;
	  XtSetArg(al[ac],XmNlabelString,
		XmStringCreate("I'm a button",
		XmSTRING_DEFAULT_CHARSET)); ac++;
	  button=XtCreateManagedWidget("button",xmPushButtonWidgetClass,
		bb,al,ac);
	  XtAddCallback(button,XmNactivateCallback,handle_button,1);

	  /* create a separator */
	  ac=0;
	  sep=XtCreateManagedWidget("sep",xmSeparatorWidgetClass,
		bb,al,ac);

	  /* create a label */
	  ac=0;
	  XtSetArg(al[ac],XmNlabelString,
		XmStringCreate("I'm a label",
		XmSTRING_DEFAULT_CHARSET)); ac++;
	  label=XtCreateManagedWidget("label",xmLabelWidgetClass,
		bb,al,ac);

	  /* put new code here */

	  XtRealizeWidget(toplevel);
	  XtMainLoop();

  pthread_exit(NULL);
}
