MODULE server_common

  INTEGER*BSIZE, SAVE :: winid(9) ! winid pointer

  INTEGER :: runmode  ! Runmode as collected from the clients
  INTEGER :: coordsys ! Coordinate system
  INTEGER :: numcs    ! Number of clients
  INTEGER :: nfunc    ! Number of function values
  INTEGER,POINTER,DIMENSION(:) :: inbld ! To be filled with the number of blades
                                        ! per full annulus for Turbo simulations
  INTEGER,POINTER,DIMENSION(:) :: rstate ! To be filled with the client state

  LOGICAL :: povteccombined=.TRUE.

! Variables related to the coordinate system
  LOGICAL :: cftoggle=.FALSE. ! Coordinate frame on/off

! Variables related to the contour legend
  CHARACTER(LEN=32) :: cltitle=''
  LOGICAL :: cltoggle=.FALSE.  ! Contour legend is off to start
  LOGICAL :: cltoggle2d=.FALSE.
  INTEGER :: cllocation=1     ! Legend is in the top right, vertical (negative is horizontal)
  INTEGER :: clnlevels=10     ! Number of divisions displayed
  REAL    :: clsize=.5        ! Size of the contour legend in percentage of screen (-borders)

! Data Display
  LOGICAL :: ddtoggle=.FALSE.
  LOGICAL :: ddtoggle2d=.FALSE.
  LOGICAL :: rep2dplease=.TRUE.

  LOGICAL :: extracton(5)=.FALSE.

END MODULE server_common
