      lptr = .FALSE.
      ctr0 = 0
      ctr1 = 0
      ctr2 = 0
      ctr5 = 0
      ctr6 = 0

!-----------------------------------------------------------------------
! Collect the total number of points for the extract from all of the
! clients
      DO i = 0, numcs-1
        istat = pV_GetSub(ex,0,i,pntr0,slen0,ecid)
        istat = pV_GetSub(ex,1,i,pntr1,slen1,ecid)
        istat = pV_GetSub(ex,2,i,pntr2,slen2,ecid)
        IF(slen0.GT.0)THEN
          IF(.NOT.ALL(ptr0(1:3).EQ.ptr0(1)))THEN
            ctr0 = ctr0 + slen0
            lptr(1,i+1) = .TRUE.
          ENDIF
        ENDIF
        IF(slen1.GT.0)THEN
          IF(.NOT.ALL(ptr1(1:4).EQ.ptr1(1)))THEN
            ctr1 = ctr1 + slen1
            lptr(2,i+1) = .TRUE.
          ENDIF
        ENDIF
        IF(lptr(1,i+1) .OR. lptr(2,i+1))ctr2 = ctr2 + slen2
      ENDDO

      PRINT*,'     Zone_Counts=',ctr0,ctr1,ctr2
      PRINT*,'     LBits=',(lbits(i), i = 0, 16)

!-----------------------------------------------------------------------
! Collect the point data and put it into zones representing each of the
! extracts.
!   It is possible if the surface is grey, that no scalar information
! will exist.  It is also possible that there is no vector information.
      IF(ctr1+ctr0.GT.0 .AND. ctr2.GT.0)THEN

      WRITE(POVUNIT) ctr2, 2*ctr1+ctr0, typ, nam, geivec(1)
      DO i = 0, numcs-1
        istat = pV_GetSub(ex,2,i,pntr2,slen2,ecid)
        IF(lptr(1,i+1) .OR. lptr(2,i+1))THEN
          DO j = 1, slen2
            WRITE(POVUNIT) (ptr2((j-1)*3+n), n = 1, 3)
          ENDDO
        ENDIF
      ENDDO
      DO i = 0, numcs-1
        IF(lptr(1,i+1) .OR. lptr(2,i+1))THEN
          IF(.NOT. BTEST(geivec(1),2))THEN
            istat = pV_GetSub(ex,5,i,pntr5,slen5,ecid)
            IF(slen5.EQ.slen2)THEN
              DO j = 1, slen5
                WRITE(POVUNIT) ptr5(j)
              ENDDO
            ELSE
              DO j = 1, slen2
                WRITE(POVUNIT) 0.
              ENDDO
            ENDIF
          ENDIF
        ENDIF
      ENDDO
      DO i = 0, numcs-1
        IF(lptr(1,i+1) .OR. lptr(2,i+1))THEN
          IF(BTEST(geivec(1),3))THEN
            istat = pV_GetSub(ex,7,i,pntr7,slen7,ecid)
            IF(slen5.EQ.slen2)THEN
              DO j = 1, slen7
                WRITE(POVUNIT) ptr7(j)
              ENDDO
            ELSE
              DO j = 1, slen2
                WRITE(POVUNIT) 0.
              ENDDO
            ENDIF
          ENDIF
        ENDIF
      ENDDO

!-----------------------------------------------------------------------
! Generate connectivity data
! For both Tecplot and POV ray, this means splitting the quads into
! triangles.
      ctr0 = 0
      ctr1 = 0
      DO i = 0, numcs-1
        istat = pV_GetSub(ex,0,i,pntr0,slen0,ecid)
        istat = pV_GetSub(ex,1,i,pntr1,slen1,ecid)
        istat = pV_GetSub(ex,2,i,pntr2,slen2,ecid)
      ! Write the quads to the file as tris
        IF(lptr(2,i+1))THEN
          DO j = 1, slen1
!            WRITE(TECUNIT,*) (ptr1((j-1)*5+n)+ctr1, n = 1, 3)
!            WRITE(TECUNIT,*) ptr1((j-1)*5+1)+ctr1,ptr1((j-1)*5+3)+ctr1,ptr1((j-1)*5+4)+ctr1
            WRITE(POVUNIT) (ptr1((j-1)*5+n)+ctr1, n = 1, 3)
            WRITE(POVUNIT) ptr1((j-1)*5+1)+ctr1,ptr1((j-1)*5+3)+ctr1,ptr1((j-1)*5+4)+ctr1
          ENDDO
        ENDIF
      ! Write the tris to the file as tris
        IF(lptr(1,i+1))THEN
          DO j = 1, slen0
!            WRITE(TECUNIT,*) (ptr0((j-1)*4+n)+ctr0, n = 1, 3)
            WRITE(POVUNIT) (ptr0((j-1)*4+n)+ctr0, n = 1, 3)
          ENDDO
        ENDIF
        IF(lptr(1,i+1) .OR. lptr(2,i+1))THEN
          ctr0 = ctr0 + slen2
          ctr1 = ctr1 + slen2
        ENDIF
      ENDDO

      ENDIF ! ctr1+ctr0 && ctr2
