#include "parameters.h"
!#######################################################################
SUBROUTINE pVCell(cel1, cel2, cel3, cel4, nptet, ptet)
!#######################################################################
  USE common_area
  USE readbcs
  IMPLICIT NONE

  INTEGER, INTENT(INOUT) :: cel1(4,*), cel2(5,*), cel3(6,*), cel4(8,*)
  INTEGER, INTENT(INOUT) :: nptet(8,*), ptet(*)

  INTEGER :: i, j, nc1, nc2, nc3, nc4

  DEBUG1(' \ pVCell')

  nc1 = 0
  nc2 = 0
  nc3 = 0
  nc4 = 0

  SELECT CASE(runmode)
    CASE(4,5)
      DO i = 1, pgr(igrid)%tcells
        SELECT CASE(fvd(igrid)%typ(i))
          CASE(1)
            nc1 = nc1 + 1
            DO j=1,4
              cel1(j,nc1) = fvd(igrid)%c(j,i)
            ENDDO
          CASE(2)
            nc2 = nc2 + 1
            DO j=1,5
              cel2(j,nc2) = fvd(igrid)%c(j,i)
            ENDDO
          CASE(3)
            nc3 = nc3 + 1
            DO j=1,6
              cel3(j,nc3) = fvd(igrid)%c(j,i)
            ENDDO
          CASE(4)
            nc4 = nc4 + 1
            DO j=1,8
              cel4(j,nc4) = fvd(igrid)%c(j,i)
            ENDDO
        END SELECT
      ENDDO

  END SELECT

  DEBUG1(' / pVCell')

END SUBROUTINE pVCell
