#include "parameters.h"
#define FLOW pfw(itime)%
!#######################################################################
SUBROUTINE pVSSurf(jkey, kn, xyz, n, s)
!#######################################################################
! Evidently this routine does not do what I thought it did.  It seems
! to not be called when a surface is mapped....
  USE keydata, ONLY: ikeys, key2_1, nkeys
  USE common_area, ONLY: itime, ntime, pfw
  USE calc_turb, ONLY: Calc_YPlus
  IMPLICIT NONE

  INTEGER,INTENT(IN) :: jkey, n
  INTEGER,INTENT(IN) :: kn(n)
  REAL,INTENT(IN) :: xyz(3,*)
  REAL,INTENT(OUT) :: s(n)

  INTEGER, SAVE :: itimelast = 0
  INTEGER :: i, skey
  REAL,POINTER,DIMENSION(:) :: ptr

  
  IF(itimelast.EQ.itime .AND. ntime.GT.1)THEN
    RETURN
  ELSE
    itimelast = itime
  ENDIF

  DEBUG2('   \ pVSSurf')

  IF(jkey.LT.nkeys) skey = ikeys(jkey)
  SELECT CASE(skey)
    CASE(ICHAR('z'))
      SELECT CASE(key2_1)
        CASE DEFAULT
          CALL Calc_YPlus(kn,n)
          ptr => FLOW yplus
      END SELECT
    CASE DEFAULT
      DO i = 1, n
        s(i) = 0.
      ENDDO
      RETURN
  END SELECT
  DO i = 1, n
    s(i) = ptr(i)
  ENDDO
  NULLIFY(ptr)

  DEBUG2('   / pVSSurf')

END SUBROUTINE pVSSurf
