!#######################################################################
SUBROUTINE ServerReplication()
!#######################################################################
  USE server_common, ONLY: runmode, numcs, inbld
  IMPLICIT NONE

  INTEGER :: ivec(12)
  INTEGER :: i, j, n, iopt=0
  REAL :: rvec(16)
  CHARACTER(LEN=20) :: str

  CALL pV_Cursor(.TRUE.)
  WRITE(*,*) '  Enter desired number of replications (this is based on the client input):'
  SELECT CASE(runmode)
    CASE(-1,1,2,11)
      WRITE(*,*) ' >0  Number of replications'
      WRITE(*,*) ' <0  1/entry annulus'
    CASE DEFAULT
      WRITE(*,*) ' >0  Number of replications'
  END SELECT
  READ*,iopt
  CALL pV_Cursor(.FALSE.)

  DO i = 1, numcs
    ivec(1)=i
    CALL pV_GetState(23, ivec, rvec, str)

    n = iopt
    IF(n.LT.0)THEN
      n = FLOOR(-1./FLOAT(ABS(iopt))*inbld(i))
    ENDIF

    ivec(2)=n
    CALL pV_SetState(23, ivec, rvec, str)
    DO j = 1, n, 1
      ivec(1:3) = (/i, j, 1/)
      CALL pV_SetState(24, ivec, rvec, str)
    ENDDO
  ENDDO

END SUBROUTINE ServerReplication
